---
title: Create organization handle
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Google Chat Integration
---

# Create organization handle{% #create-organization-handle %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                                                   |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles |

### Overview

Create an organization handle in the Datadog Google Chat integration.

### Arguments

#### Path Parameters

| Name                                      | Type   | Description                   |
| ----------------------------------------- | ------ | ----------------------------- |
| organization_binding_id [*required*] | string | Your organization binding ID. |

### Request

#### Body Data (required)

Organization handle payload.

{% tab title="Model" %}

| Parent field | Field                                 | Type   | Description                                                                               |
| ------------ | ------------------------------------- | ------ | ----------------------------------------------------------------------------------------- |
|              | data [*required*]                | object | Organization handle data for a create request.                                            |
| data         | attributes [*required*]          | object | Organization handle attributes for a create request.                                      |
| attributes   | name [*required*]                | string | Organization handle name.                                                                 |
| attributes   | space_resource_name [*required*] | string | Google space resource name.                                                               |
|              | type [*required*]                | enum   | Organization handle resource type. Allowed enum values: `google-chat-organization-handle` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "name": "Example-Google-Chat-Integration",
      "space_resource_name": "spaces/AAQA-zFIks8"
    }
  },
  "type": "google-chat-organization-handle"
}
```

{% /tab %}

### Response

{% tab title="201" %}
CREATED
{% tab title="Model" %}
Organization handle for monitor notifications to a Google Chat space within a Google organization.

| Parent field | Field                  | Type   | Description                                                                               |
| ------------ | ---------------------- | ------ | ----------------------------------------------------------------------------------------- |
|              | data [*required*] | object | Organization handle data from a response.                                                 |
| data         | attributes             | object | Organization handle attributes.                                                           |
| attributes   | name                   | string | Organization handle name.                                                                 |
| attributes   | space_display_name     | string | Google space display name.                                                                |
| attributes   | space_resource_name    | string | Google space resource name.                                                               |
| data         | id                     | string | The ID of the organization handle.                                                        |
| data         | type                   | enum   | Organization handle resource type. Allowed enum values: `google-chat-organization-handle` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "name": "fake-handle-name",
      "space_display_name": "Fake Space Name",
      "space_resource_name": "spaces/AAAAAAAAA"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "google-chat-organization-handle"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="409" %}
Conflict
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \## default
# 
 \# Path parameters export organization_binding_id="CHANGE_ME" \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/integration/google-chat/organizations/${organization_binding_id}/organization-handles" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "name": "fake-handle-name",
      "space_resource_name": "spaces/AAAAAAAAA"
    }
  },
  "type": "google-chat-organization-handle"
}
EOF 
                        
##### 

```go
// Create organization handle returns "CREATED" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.GoogleChatCreateOrganizationHandleRequest{
		Data: datadogV2.GoogleChatCreateOrganizationHandleRequestData{
			Attributes: datadogV2.GoogleChatCreateOrganizationHandleRequestAttributes{
				Name:              "Example-Google-Chat-Integration",
				SpaceResourceName: "spaces/AAQA-zFIks8",
			},
		},
		Type: datadogV2.GOOGLECHATORGANIZATIONHANDLETYPE_GOOGLE_CHAT_ORGANIZATION_HANDLE_TYPE,
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewGoogleChatIntegrationApi(apiClient)
	resp, r, err := api.CreateOrganizationHandle(ctx, "e54cb570-c674-529c-769d-84b312288ed7", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `GoogleChatIntegrationApi.CreateOrganizationHandle`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `GoogleChatIntegrationApi.CreateOrganizationHandle`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Create organization handle returns "CREATED" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.GoogleChatIntegrationApi;
import com.datadog.api.client.v2.model.GoogleChatCreateOrganizationHandleRequest;
import com.datadog.api.client.v2.model.GoogleChatCreateOrganizationHandleRequestAttributes;
import com.datadog.api.client.v2.model.GoogleChatCreateOrganizationHandleRequestData;
import com.datadog.api.client.v2.model.GoogleChatOrganizationHandleResponse;
import com.datadog.api.client.v2.model.GoogleChatOrganizationHandleType;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    GoogleChatIntegrationApi apiInstance = new GoogleChatIntegrationApi(defaultClient);

    GoogleChatCreateOrganizationHandleRequest body =
        new GoogleChatCreateOrganizationHandleRequest()
            .data(
                new GoogleChatCreateOrganizationHandleRequestData()
                    .attributes(
                        new GoogleChatCreateOrganizationHandleRequestAttributes()
                            .name("Example-Google-Chat-Integration")
                            .spaceResourceName("spaces/AAQA-zFIks8")))
            .type(GoogleChatOrganizationHandleType.GOOGLE_CHAT_ORGANIZATION_HANDLE_TYPE);

    try {
      GoogleChatOrganizationHandleResponse result =
          apiInstance.createOrganizationHandle("e54cb570-c674-529c-769d-84b312288ed7", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling GoogleChatIntegrationApi#createOrganizationHandle");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```python
"""
Create organization handle returns "CREATED" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.google_chat_integration_api import GoogleChatIntegrationApi
from datadog_api_client.v2.model.google_chat_create_organization_handle_request import (
    GoogleChatCreateOrganizationHandleRequest,
)
from datadog_api_client.v2.model.google_chat_create_organization_handle_request_attributes import (
    GoogleChatCreateOrganizationHandleRequestAttributes,
)
from datadog_api_client.v2.model.google_chat_create_organization_handle_request_data import (
    GoogleChatCreateOrganizationHandleRequestData,
)
from datadog_api_client.v2.model.google_chat_organization_handle_type import GoogleChatOrganizationHandleType

body = GoogleChatCreateOrganizationHandleRequest(
    data=GoogleChatCreateOrganizationHandleRequestData(
        attributes=GoogleChatCreateOrganizationHandleRequestAttributes(
            name="Example-Google-Chat-Integration",
            space_resource_name="spaces/AAQA-zFIks8",
        ),
    ),
    type=GoogleChatOrganizationHandleType.GOOGLE_CHAT_ORGANIZATION_HANDLE_TYPE,
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = GoogleChatIntegrationApi(api_client)
    response = api_instance.create_organization_handle(
        organization_binding_id="e54cb570-c674-529c-769d-84b312288ed7", body=body
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Create organization handle returns "CREATED" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::GoogleChatIntegrationAPI.new

body = DatadogAPIClient::V2::GoogleChatCreateOrganizationHandleRequest.new({
  data: DatadogAPIClient::V2::GoogleChatCreateOrganizationHandleRequestData.new({
    attributes: DatadogAPIClient::V2::GoogleChatCreateOrganizationHandleRequestAttributes.new({
      name: "Example-Google-Chat-Integration",
      space_resource_name: "spaces/AAQA-zFIks8",
    }),
  }),
  type: DatadogAPIClient::V2::GoogleChatOrganizationHandleType::GOOGLE_CHAT_ORGANIZATION_HANDLE_TYPE,
})
p api_instance.create_organization_handle("e54cb570-c674-529c-769d-84b312288ed7", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```rust
// Create organization handle returns "CREATED" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_google_chat_integration::GoogleChatIntegrationAPI;
use datadog_api_client::datadogV2::model::GoogleChatCreateOrganizationHandleRequest;
use datadog_api_client::datadogV2::model::GoogleChatCreateOrganizationHandleRequestAttributes;
use datadog_api_client::datadogV2::model::GoogleChatCreateOrganizationHandleRequestData;
use datadog_api_client::datadogV2::model::GoogleChatOrganizationHandleType;

#[tokio::main]
async fn main() {
    let body = GoogleChatCreateOrganizationHandleRequest::new(
        GoogleChatCreateOrganizationHandleRequestData::new(
            GoogleChatCreateOrganizationHandleRequestAttributes::new(
                "Example-Google-Chat-Integration".to_string(),
                "spaces/AAQA-zFIks8".to_string(),
            ),
        ),
        GoogleChatOrganizationHandleType::GOOGLE_CHAT_ORGANIZATION_HANDLE_TYPE,
    );
    let configuration = datadog::Configuration::new();
    let api = GoogleChatIntegrationAPI::with_config(configuration);
    let resp = api
        .create_organization_handle("e54cb570-c674-529c-769d-84b312288ed7".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Create organization handle returns "CREATED" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.GoogleChatIntegrationApi(configuration);

const params: v2.GoogleChatIntegrationApiCreateOrganizationHandleRequest = {
  body: {
    data: {
      attributes: {
        name: "Example-Google-Chat-Integration",
        spaceResourceName: "spaces/AAQA-zFIks8",
      },
    },
    type: "google-chat-organization-handle",
  },
  organizationBindingId: "e54cb570-c674-529c-769d-84b312288ed7",
};

apiInstance
  .createOrganizationHandle(params)
  .then((data: v2.GoogleChatOrganizationHandleResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
